# Introduction

## What is Elk?

Elk is an alternative way to access your Mastodon account from your browser.

Through the Mastodon API, Elk provides similar access to posts and actions on posts you expect to be able to do to Mastodon.
You can compose a post (Toot, if you like), boost others' toots, like, bookmark, and scroll just as you would through your regular server site.

Why Elk, then?
Elk provides some features not available through the standard Mastodon web app interface.

- Notifications for the same post combine when they are sequential. No more seeing your same viral joke multiple times in the Notification feed for each like and boost. Now you can see it just one, with a list of who liked or boosted the post just above the post itself.
- You control whether you see boost, like, and follower accounts - all separately!
- See a preview of the profile when someone follows you.

You can use Elk right in your browser.
On a mobile device, you can install the app to your home screen right from your browser for easy access.
(This is called a Progressive  Web App, or [PWA](../80.pwa.md).)

Want to try it out?
Visit https://elk.zone, type in your Mastodon server address, then log in.
Or, visit one of the other Elk installs in the [Elk ecosystem](https://github.com/elk-zone/elk#ecosystem).

## What is Mastodon?

Mastodon is a decentralized microblogging platform.
Mastodon uses the [ActivityPub protocol](https://www.w3.org/TR/activitypub/) to share posts and actions between users within or across different instance servers.

You can think of the service as something similar to Twitter, but with some key differences.

- Where Twitter is a single site that everyone who uses it belongs to, Mastodon is a platform used by many different sites.
- Where Twitter is a corporation with profit goals and advertisements, Mastodon is a free and open source software tool maintained by volunteers and paid for by patrons and voluntary contributors to their own instance servers and back to the main software project.
- Where Twitter users can only interact with other Twitter users, Mastodon users can talk to users on many other ActivityPub platforms, including services that provide video (PeerTube), photos ([PixelFed](https://pixelfed.org/)), blogs ([WriteFreely](https://writefreely.org/)), and alternative microblogging platforms ([Pleroma](https://pleroma.social/), [Hometown](https://github.com/hometown-fork/hometown), [GoToSocial](https://gotosocial.org/), and their derivatives).

For more details about Mastodon, see their [website](https://joinmastodon.org/), [blog](https://blog.joinmastodon.org), [docs](https://docs.joinmastodon.org), and [GitHub Repository](https://github.com/mastodon/mastodon).

## What is a Mastodon Client?

A Mastodon Client is software that serves up the posts and activities from a Mastodon server using the [Mastodon API](https://docs.joinmastodon.org/api/).
When you visit or sign in to a Mastodon server, you use the standard Mastodon client or the alternative Advanced Web Interface (that provides a multi-column format).

A Mastodon client performs similar functions as the standard web interfaces.
Using a client, you can
- View posts from accounts you follow
- Boost, like, or bookmark posts
- Create new posts from your own account
- Explore the home, local, and federated timelines
- See what is trending on your server
- View, add, or participate in polls
- Follow, unfollow, mute, and block accounts

::alert{type="info"}
**Note:** Not all clients provide all features.
::

### Installed Mastodon Clients

You may be most familiar with Mastodon Clients through your phone or tablet.
The app you download from an app store and install on your device to access your Mastodon account is a Mastodon Client.

::card{icon="logos:android-icon"}
#title
Android
#description
[Fedilab](https://fedilab.app/), [Tusky](https://tusky.app/), or [Tooot](https://tooot.app/), among others.
::

::card{icon="logos:apple"}
#title
Apple
#description
[Ivory](https://tapbots.com/ivory/), [Ice Cubes](https://apps.apple.com/us/app/ice-cubes-for-mastodon/id6444915884), [Metatext](https://github.com/metabolist/metatext), or [Toot](https://apps.apple.com/app/toot/id1229021451?ls=1)
::
::card{icon="mdi:desktop-classic"}
#title
Desktop
#description
[TheDesk](https://thedesk.top/en/), [Whalebird](https://whalebird.social/en), or [Sengi](https://nicolasconstant.github.io/sengi/)
::

All of these apps provide some combination of the features a typical Mastodon user expects for their account.

### Browser-based Mastodon Clients

Elk is a Mastodon Client, but instead of being an app to install on your phone, tablet, or desktop, it is an alternative web site you visit in a browser.

In addition to Elk, there are other browser-based alternative Mastodon clients.
Some include:

- [Semaphore](https://semaphore.social/), a continuation of the now-frozen [Pinafore](https://pinafore.social/)
- [Sengi](https://nicolasconstant.github.io/sengi/) (Also available as a desktop client)
- [Cuckoo](https://cuckoo.social)

## Sponsors

We want to thank the generous sponsoring and help of:

[![NuxtLabs](/images/nuxtlabs.svg)](https://nuxtlabs.com/)
[![StackBlitz](/images/stackblitz.svg)](https://stackblitz.com/)

And all the companies and individuals sponsoring Elk Team members.

[Find out more about sponsoring Elk](/guide/sponsoring).
